Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans
Class PermanentBean

    java.lang.Object
      datechooser.beans.PermanentBean

    public class PermanentBean

extends java.lang.Object

Service class. It is user for loading any components properies from file. Files are created by customizer (run library file to access customizer).
Сервисный класс. Применяется при необходимости загрузки настроек компонента (любого из представленных в библиотеке) из файла. Файлы создаются натройщиком, доступ к которому можно получить, запустив библиотеку.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  `DateChooserCustomizer`

Constructor Summary
`PermanentBean()`

Method Summary
`static void` | `dispose()` Clear cached customizer classes.
`static boolean` | `isSaveBeanContext()` Lets store component's context.
`static java.lang.String` | `loadBeanParameters(DateChooserCombo combo, java.io.File from)` Loads bean's parameters from input stream.
`static java.lang.String` | `loadBeanParameters(DateChooserCombo combo, java.io.InputStream from)` Loads bean's parameters from input stream.
`static java.lang.String` | `loadBeanParameters(DateChooserDialog dialog, java.io.File from)` Loads bean's parameters from input stream.
`static java.lang.String` | `loadBeanParameters(DateChooserDialog dialog, java.io.InputStream from)` Loads bean's parameters from input stream.
`static java.lang.String` | `loadBeanParameters(DateChooserPanel panel, java.io.File from)` Loads bean's parameters from input stream.
`static java.lang.String` | `loadBeanParameters(DateChooserPanel panel, java.io.InputStream from)` Loads bean's parameters from input stream.
`static void` | `setSaveBeanContext(boolean aSaveBeanContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PermanentBean

    public PermanentBean()

Method Detail

### dispose

    public static void dispose()

  Clear cached customizer classes. Use only if you turned on property "save component's context" (saveBeanContext).
  Удаляет ссылки на кешированные классы настройщиков. Вызывать метод имеет смысл только если вы включали свойство "Сохранять контекст компонентов" (saveBeanContext).

  Since:
    1.0
  See Also:
    `isSaveBeanContext()`

### isSaveBeanContext

    public static boolean isSaveBeanContext()

  Lets store component's context. For properties saving needs to create customizer class instance and initialize it by bean's properties. This is a long operation. You can turn on customizer's caching (setting parameter "true"). But if you do not plan load/save component's properties frequently turn it off to save memory. You need to call dispose method if turned this ptoperty on after all loading/saving operations finished.
  Позволяет сохранять контекст компонента. Дело в том что при сохранении требуется создать экземпляр класса-настройщика и проинициализировать его свойствами компонента. Это довольно долгая операция, требуется загрузить сразу много компонентов можно включить сохранение созданных настройщиков (установив значение свойства true). Если же загрузка требуется только однажды, свойство лучше отключить, чтобы избежать сохранения в памяти ненужных объектов. Если Вы включали свойство - когда загрузка классов больше не понадобится, вызовите метод dispose.

  Since:
    1.0
  See Also:
    `dispose()`

### setSaveBeanContext

    public static void setSaveBeanContext(boolean aSaveBeanContext)

  Since:
    1.0
  See Also:
    `isSaveBeanContext()`

### loadBeanParameters

    public static java.lang.String loadBeanParameters(DateChooserPanel panel,
                                                      java.io.InputStream from)

  Loads bean's parameters from input stream. Загружает параметры панели из потока ввода.

  Parameters:
    `panel` - Components for properties assignment.
    Компонент, которому будут назначены свойства.
  Since:
    1.0

### loadBeanParameters

    public static java.lang.String loadBeanParameters(DateChooserDialog dialog,
                                                      java.io.InputStream from)

  Loads bean's parameters from input stream. Загружает параметры панели из потока ввода.

  Parameters:
    `dialog` - Components for properties assignment.
    Компонент, которому будут назначены свойства.
  Since:
    1.0

### loadBeanParameters

    public static java.lang.String loadBeanParameters(DateChooserCombo combo,
                                                      java.io.InputStream from)

  Loads bean's parameters from input stream. Загружает параметры панели из потока ввода.

  Parameters:
    `combo` - Components for properties assignment.
    Компонент, которому будут назначены свойства.
  Since:
    1.0

### loadBeanParameters

    public static java.lang.String loadBeanParameters(DateChooserPanel panel,
                                                      java.io.File from)
                                               throws java.io.FileNotFoundException

  Loads bean's parameters from input stream. Загружает параметры панели из потока ввода.

  Parameters:
    `panel` - Components to store properties.
    Компонент, свойства которого должны быть сохранены.
  Throws:
    `java.io.FileNotFoundException` - If properies file not found.
    Возникает, если файл не найден.
  Since:
    1.0

### loadBeanParameters

    public static java.lang.String loadBeanParameters(DateChooserDialog dialog,
                                                      java.io.File from)
                                               throws java.io.FileNotFoundException

  Loads bean's parameters from input stream. Загружает параметры панели из потока ввода.

  Parameters:
    `dialog` - Components for properties assignment.
    Компонент, которому будут назначены свойства.
  Throws:
    `java.io.FileNotFoundException` - If properies file not found.
    Возникает, если файл не найден.
  Since:
    1.0

### loadBeanParameters

    public static java.lang.String loadBeanParameters(DateChooserCombo combo,
                                                      java.io.File from)
                                               throws java.io.FileNotFoundException

  Loads bean's parameters from input stream. Загружает параметры панели из потока ввода.

  Parameters:
    `combo` - Components for properties assignment.
    Компонент, которому будут назначены свойства.
  Throws:
    `java.io.FileNotFoundException` - If properies file not found.
    Возникает, если файл не найден.
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD